Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008039opensim[REGION] OpenSim Corepublic2016-10-18 20:392016-11-04 06:35
ReporterLotek 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSUbuntuOS Version14.04LTS
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0008039: v3/v4 viewers don't display some internal animations on OpenSim 0.9 (but works on 0.8)
DescriptionWhen making some expressive gestures I found the following built-in system animations don't work at all in OpenSim master when using a v3/v4 based viewer:

BigSmile (express_toothsmile)
Disdain (express_disdain)
Frown (express_frown)
Kiss (express_kiss)
Open Mouth (express_open_mouth)
Repulsed (express_repulsed_emote)
Smile (express_smile)
Tonguemouth (express_tongue_out)
Whisper (whisper, shows wink instead)
Worry (express_worry_emote)

When tested in a gesture and then previewed, the preview loops forever and nothing happens (until stop clicked). This I tried without AO or any other animation override active, on Kokua and Firestorm and with 3 avies. All other system animations seem to work fine.

In OpenSim 0.9/master the problem occurs, and only on "modern" v3/v4 based viewers such as Firestorm and Kokua. v1 based Cool VL Viewer and Singularity do show the animations correct.

When I tried the same animations in Kitely and Metropolis they all work, even on v3/v4 viewers. This indicates that in OpenSim 0.8 this wasn't a problem yet.
Steps To ReproduceBest to just make a new gesture, add an animation and choose one of the internal ones (they are on the top of the animation picker list). Then press preview.
Additional Informationhttp://wiki.secondlife.com/wiki/Internal_Animations [^]
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (1 Region per Sim)
Physics EngineOther
EnvironmentMono / Linux64
Mono VersionOther
Viewer
Attached Files

- Relationships

-  Notes
(0031227)
UbitUmarov (administrator)
2016-11-03 10:01

those should now work on master

- Issue History
Date Modified Username Field Change
2016-10-18 20:39 Lotek New Issue
2016-11-03 10:01 UbitUmarov Note Added: 0031227
2016-11-04 06:35 Lotek Status new => resolved
2016-11-04 06:35 Lotek Resolution open => fixed
2016-11-04 06:35 Lotek Fixed in Version => master (dev code)


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker